Package net.paulhertz.pixelaudio.sampler

# Enum Class PitchPolicy

java.lang.Object
java.lang.Enum<PitchPolicy>
net.paulhertz.pixelaudio.sampler.PitchPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<PitchPolicy>`, `Constable`

public enum PitchPolicy extends Enum<PitchPolicy>
PitchPolicy determines how PASamplerInstrument / PASamplerVoice should interpret their pitch parameter in combination with a given PASource.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMBINED`
  Both instrument and source contribute to pitch/time.
  `INSTRUMENT_RATE`
  Instrument pitch maps to playback rate (classic sample playback).
  `SOURCE_GRANULAR`
  Source (e.g., granular engine) controls time/pitch.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `PitchPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PitchPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PitchPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTRUMENT_RATE

    public static final PitchPolicy INSTRUMENT_RATE
    Instrument pitch maps to playback rate (classic sample playback). Source is considered time-neutral.

  - ### SOURCE_GRANULAR

    public static final PitchPolicy SOURCE_GRANULAR
    Source (e.g., granular engine) controls time/pitch. Instrument pitch should be ignored for this source.

  - ### COMBINED

    public static final PitchPolicy COMBINED
    Both instrument and source contribute to pitch/time. Advanced / experimental; can create complex artifacts.

- ## Constructor Details

  - ### PitchPolicy

    private PitchPolicy()

- ## Method Details

  - ### values

    public static PitchPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PitchPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null